Name:		netsniff-ng
Version:	0.6.8
Release:	%mkrel 5
Summary:	A high performance network sniffer for packet inspection
License:	GPLv2
Group:		Networking/Other
URL:		http://netsniff-ng.org/
Source:		http://www.netsniff-ng.org/pub/netsniff-ng/%{name}-%{version}.tar.gz
Patch1:		netsniff-ng-0.6.8-build-fix.patch
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	pcap-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(geoip)
BuildRequires:	pkgconfig(libnetfilter_conntrack)
BuildRequires:	pkgconfig(libsparsehash)
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(liburcu)
BuildRequires:	pkgconfig(libsodium)

%description
netsniff-ng is a high performance linux network sniffer for packet inspection.
Basically, it is similar to tcpdump, but it doesn't need one syscall per
packet. Instead, it uses an memory mapped area within kernelspace for accessing
packets without copying them to userspace (zero-copy mechanism).

This tool is useful for debugging your network, measuring performance
throughput or creating network statistics of incoming packets on central
network nodes like routers or firewalls.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
# the current configure script doesn't support unknown options, thus we cannot
# use the generic %%configure macro
./configure --prefix='%{_prefix}' --sysconfdir='%{_sysconfdir}'

%make_build CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" DISTRO=1 ETCDIR=%{_sysconfdir} STRIP=:

%install
%make_install PREFIX=%{_prefix} ETCDIR=%{_sysconfdir}

%files
%doc AUTHORS COPYING README REPORTING-BUGS
%{_sbindir}/flowtop
%{_sbindir}/netsniff-ng
%{_sbindir}/bpfc
%{_sbindir}/ifpps
%{_sbindir}/astraceroute
%{_sbindir}/trafgen
%{_sbindir}/curvetun
%{_mandir}/man8/*.8*
%dir %{_sysconfdir}/netsniff-ng
%config(noreplace) %{_sysconfdir}/netsniff-ng/*


%changelog
* Sun Dec 25 2022 mrambo3501 <mrambo3501> 0.6.8-5.mga9
+ Revision: 1926724
- remove workaround and add better fix for build failure

* Thu Dec 22 2022 mrambo3501 <mrambo3501> 0.6.8-4.mga9
+ Revision: 1925637
- add patch and %%post %%preun sections to work around Makefile file rename build failure
- BR pkgconfig(libsodium) to build curvetun

* Tue Mar 29 2022 umeabot <umeabot> 0.6.8-3.mga9
+ Revision: 1831288
- Mageia 9 Mass Rebuild

* Wed Dec 01 2021 wally <wally> 0.6.8-2.mga9
+ Revision: 1760434
- rebuild for userspace-rcu 0.13.0

* Wed Mar 10 2021 daviddavid <daviddavid> 0.6.8-1.mga9
+ Revision: 1701119
- new version: 0.6.8

* Fri May 29 2020 daviddavid <daviddavid> 0.6.7-1.mga8
+ Revision: 1588734
- new version: 0.6.7

* Sat Feb 15 2020 umeabot <umeabot> 0.6.6-2.mga8
+ Revision: 1526853
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%setup_compile_flags

* Thu Jul 04 2019 daviddavid <daviddavid> 0.6.6-1.mga8
+ Revision: 1418335
- new version: 0.6.6

* Fri Sep 21 2018 daviddavid <daviddavid> 0.6.5-1.mga7
+ Revision: 1294648
- new version: 0.6.5

* Fri Apr 13 2018 kekepower <kekepower> 0.6.4-1.mga7
+ Revision: 1218220
- Fix BuildRequires
- Update to version 0.6.4

* Sat Jan 06 2018 daviddavid <daviddavid> 0.6.3-1.mga7
+ Revision: 1190808
- new version: 0.6.3

* Fri Feb 12 2016 umeabot <umeabot> 0.5.8-5.mga6
+ Revision: 956240
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 0.5.8-4.mga6
+ Revision: 893644
- do not strip binaries to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.5.8-3.mga5
+ Revision: 746122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.8-2.mga5
+ Revision: 682859
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 pterjan <pterjan> 0.5.8-1.mga5
+ Revision: 640982
- FixBuildRequires
- 0.5.8

* Fri Oct 18 2013 umeabot <umeabot> 0.5.7-4.mga4
+ Revision: 508304
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 guillomovitch <guillomovitch> 0.5.7-2.mga3
+ Revision: 307138
- use Networking/Other group, as other scanners

* Tue Jul 10 2012 guillomovitch <guillomovitch> 0.5.7-1.mga3
+ Revision: 269236
- new version

* Sun Jun 17 2012 kharec <kharec> 0.5.6-1.mga3
+ Revision: 261148
- Add BR's on cmake and ncurses-devel
- use pushd
- version 0.5.6
- use cmake for creating makefile (mandriva)
- fix %%prep
- fix %%doc and %%file list
- fix %%install section using makeinstall_std (mandriva)

* Wed Nov 02 2011 kharec <kharec> 0.5.5.0-1.mga2
+ Revision: 161525
- imported package netsniff-ng

